## tinysmb 1.0.0

=== Makefile ===



WARN		= -Wfatal-errors -Wformat -Wformat-y2k -Wformat-nonliteral	\
			  -Winit-self -Wimplicit  -Wformat-security					\
			  -Wreturn-type -Wunused-function -Wunused-label 			\
			  -Wunused-variable -Wunused-value -Wuninitialized 			\
			  -Wundef -Wpointer-arith

CPPFLAGS 	= -c -O $(WARN) -I ./src/SmbServer
LDFLAGS 	= -lstdc++ -ldl -lpthread

maemo-install:
	rm -rf $(DESTDIR)
	mkdir -p $(DESTDIR)/opt/usr/bin
	mkdir -p $(DESTDIR)/etc/tinysmb
	mkdir -p $(DESTDIR)/etc/init.d
	mkdir -p $(DESTDIR)/etc/sudoers.d
	cp tinysmbd $(DESTDIR)/opt/usr/bin/tinysmbd
	cp tinypasswd $(DESTDIR)/etc/tinysmb/tinypasswd
	cp tinysmb.conf $(DESTDIR)/etc/tinysmb/tinysmb.conf
	cp tinysmbd.sudoers $(DESTDIR)/etc/sudoers.d/tinysmbd.sudoers
	cp tinysmb.initd $(DESTDIR)/etc/init.d/tinysmb


all:	tinysmbd

tinysmbd: tinysmb.o ./src/SmbLibrary/SmbServer.a
	$(CC) $(LDFLAGS) $^ -o $@


./src/SmbLibrary/SmbServer.a:
	rm   -f ./src/SmbLibrary/SmbServer.a
	make -f ./src/SmbLibrary/Makefile
	mv   -f  ./SmbServer.a ./src/SmbLibrary/SmbServer.a

tinysmb.o: ./src/TinySmb.cpp
	$(CC) $(CPPFLAGS)  $^ -o $@

clean:
	rm -f *.o
	rm -f tinysmbd

=== src/SmbLibrary/Makefile ===


PROGS		= SmbServer.a

OBJS	   := DgrServer.o   	\
			  NameDb.o			\
			  NmbServer.o		\
			  SmbCrypt.o		\
			  SmbLanman.o		\
			  SmbMisc.o			\
			  SmbReply.o		\
			  SmbTrans2.o		\
			  SmbServer.o		\
			  SmbUtility.o		\
			  SmbUtility.o		\
			  SystemLinux.o		\
			  SocketUtility.o	\
			  BitUtility.o		
ifndef USE_OPENSSL
OBJS		+= \
			  ossl_des_enc.o	\
			  ossl_ecb_enc.o	\
			  ossl_md4_dgst.o	\
			  ossl_md4_one.o	\
			  ossl_set_key.o
endif

HEADERS		= ./src/SmbServer/DgrServer.h 				\
			  ./src/SmbServer/NameDb.h					\
			  ./src/SmbServer/NetBios.h				\
			  ./src/SmbServer/NetBiosDebug.h			\
			  ./src/SmbServer/NmbInclude.h				\
			  ./src/SmbServer/NmbServer.h				\
			  ./src/SmbServer/Smb.h					\
			  ./src/SmbServer/SmbMisc.h				\
			  ./src/SmbServer/SmbCrypt.h				\
			  ./src/SmbServer/SmbInclude.h				\
			  ./src/SmbServer/SmbInline.h				\
			  ./src/SmbServer/SmbLanman.h				\
			  ./src/SmbServer/SmbServer.h				\
			  ./src/SmbServer/SmbUtility.h				\
			  ./src/SmbServer/System/System.h			\
			  ./src/SmbServer/System/BitUtility.h		\
			  ./src/SmbServer/System/SocketUtility.h


WARN		= -Wfatal-errors -Wformat -Wformat-y2k -Wformat-nonliteral	\
			  -Winit-self -Wimplicit  -Wformat-security					\
			  -Wreturn-type -Wunused-function -Wunused-label 			\
			  -Wunused-variable -Wunused-value -Wuninitialized 			\
			  -Wundef -Wpointer-arith

CFLAGS   	= -c -g -O $(WARN) -I ./SmbCrypt
CPPFLAGS   := -c -g -O $(WARN) -I ./SmbCrypt
ifdef USE_OPENSSL
CPPFLAGS 	+= -DUSE_OPENSSL=1
endif
ARFLAGS 	= -rv


.PHONY: all
all:	$(PROGS)

.PHONY: clean
clean:
	rm -f $(PROGS) *.o


#--------------- Create object file s -----------

SocketUtility.o: ./src/SmbServer/System/SocketUtility.cpp	$(HEADERS)
	$(CC) $(CPPFLAGS) ./src/SmbServer/System/SocketUtility.cpp -o $@

SystemLinux.o: ./src/SmbServer/System/SystemLinux.cpp	$(HEADERS)
	$(CC) $(CPPFLAGS) ./src/SmbServer/System/SystemLinux.cpp -o $@

BitUtility.o: ./src/SmbServer/System/BitUtility.cpp	$(HEADERS)
	$(CC) $(CPPFLAGS) ./src/SmbServer/System/BitUtility.cpp -o $@

DgrServer.o: ./src/SmbServer/DgrServer.cpp	$(HEADERS)
	$(CC) $(CPPFLAGS) ./src/SmbServer/DgrServer.cpp -o $@

NameDb.o: ./src/SmbServer/NameDb.cpp $(HEADERS)
	$(CC) $(CPPFLAGS) ./src/SmbServer/NameDb.cpp -o $@

NmbServer.o: ./src/SmbServer/NmbServer.cpp $(HEADERS)
	$(CC) $(CPPFLAGS) ./src/SmbServer/NmbServer.cpp -o $@

SmbCrypt.o: ./src/SmbServer/SmbCrypt.cpp $(HEADERS)
	$(CC) $(CPPFLAGS) ./src/SmbServer/SmbCrypt.cpp -o $@

SmbMisc.o: ./src/SmbServer/SmbMisc.cpp $(HEADERS)
	$(CC) $(CPPFLAGS) ./src/SmbServer/SmbMisc.cpp -o $@

SmbLanman.o: ./src/SmbServer/SmbLanman.cpp $(HEADERS)
	$(CC) $(CPPFLAGS) ./src/SmbServer/SmbLanman.cpp -o $@

SmbReply.o: ./src/SmbServer/SmbReply.cpp $(HEADERS)
	$(CC) $(CPPFLAGS) ./src/SmbServer/SmbReply.cpp -o $@

SmbTrans2.o: ./src/SmbServer/SmbTrans2.cpp $(HEADERS)
	$(CC) $(CPPFLAGS) ./src/SmbServer/SmbTrans2.cpp -o $@

SmbServer.o: ./src/SmbServer/SmbServer.cpp $(HEADERS)
	$(CC) $(CPPFLAGS) ./src/SmbServer/SmbServer.cpp -o $@

SmbUtility.o: ./src/SmbServer/SmbUtility.cpp $(HEADERS)
	$(CC) $(CPPFLAGS) ./src/SmbServer/SmbUtility.cpp -o $@

ifndef USE_OPENSSL
ossl_des_enc.o: ./src/SmbServer/SmbCrypt/ossl_des_enc.c
	$(CC) $(CFLAGS) $^ -o $@

ossl_ecb_enc.o: ./src/SmbServer/SmbCrypt/ossl_ecb_enc.c
	$(CC) $(CFLAGS) $^ -o $@

ossl_md4_dgst.o: ./src/SmbServer/SmbCrypt/ossl_md4_dgst.c
	$(CC) $(CFLAGS) $^ -o $@

ossl_md4_one.o: ./src/SmbServer/SmbCrypt/ossl_md4_one.c
	$(CC) $(CFLAGS) $^ -o $@

ossl_set_key.o: ./src/SmbServer/SmbCrypt/ossl_set_key.c
	$(CC) $(CFLAGS) $^ -o $@
endif

#--------------- Create library -----------------

$(PROGS): $(OBJS)
	$(AR) $(ARFLAGS) $@ $^

=== debian/changelog ===
tinysmb (1.0.0) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Karl Wintermann <karl_wintermann@gmx.de>  Sat, 28 Aug 2010 17:40:58 +0200

=== debian/control ===
Source: tinysmb
Section: user/network
Priority: optional
Maintainer: Karl Wintermann <karl_wintermann@gmx.de>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: tinysmb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: small SMB Server
 TinySmb is a small SMB server for embedded systems.
 A SMB server allows the access to local files via network. 
 TinySmb for Maemo is a port of Anton Zechners AzSmb
 www: http://members.inode.at/anton.zechner/az/index.html
 mail: az_software@inode.at
 Copyright: Anton Zechner, 2003

## tinysmb 1.0.8maemo1

=== Makefile ===
maemo-install:
	rm -rf $(DESTDIR)
	mkdir -p $(DESTDIR)/opt/usr/bin
	mkdir -p $(DESTDIR)/etc/tinysmb
	mkdir -p $(DESTDIR)/etc/init.d
	mkdir -p $(DESTDIR)/etc/sudoers.d
	cp src/TinySmb/tinysmbd $(DESTDIR)/opt/usr/bin/tinysmbd
	cp tinypasswd $(DESTDIR)/etc/tinysmb/tinypasswd
	cp tinysmb.conf $(DESTDIR)/etc/tinysmb/tinysmb.conf
	cp tinysmbd.sudoers $(DESTDIR)/etc/sudoers.d/tinysmbd.sudoers
	cp tinysmb.initd $(DESTDIR)/etc/init.d/tinysmb


all:
	make -C src/TinySmb all

clean:
	make -C src/SmbLibrary clean
	make -C src/TinySmb clean

=== src/SmbDemoLinux/Makefile ===



WARN		= -Wfatal-errors -Wformat -Wformat-y2k -Wformat-nonliteral	\
			  -Winit-self -Wimplicit  -Wformat-security					\
			  -Wreturn-type -Wunused-function -Wunused-label 			\
			  -Wunused-variable -Wunused-value -Wuninitialized 			\
			  -Wundef -Wpointer-arith

CPPFLAGS 	= -c -g $(WARN) -I ../SmbServer
LDFLAGS 	= -lstdc++ -ldl -lpthread
ifdef USE_OPENSSL
LDFLAGS    += -lssl
export USE_OPENSSL
endif

all:	SmbDemo

SmbDemo: SmbDemo.o ../SmbLibrary/SmbServer.a
	$(CC) $(LDFLAGS) $^ -o $@


../SmbLibrary/SmbServer.a::
	$(MAKE) -C ../SmbLibrary

SmbDemo.o: SmbDemo.cpp
	$(CC) $(CPPFLAGS)  $^ -o $@

.PHONY: clean
clean:
	rm -f SmbDemo *.o *.a
	$(MAKE) -C ../SmbLibrary clean

=== src/SmbLibrary/Makefile ===


PROGS		= SmbServer.a

OBJS	   := DgrServer.o   	\
			  NameDb.o			\
			  NmbServer.o		\
			  SmbCrypt.o		\
			  SmbLanman.o		\
			  SmbMisc.o			\
			  SmbReply.o		\
			  SmbTrans2.o		\
			  SmbServer.o		\
			  SmbUtility.o		\
			  SmbUtility.o		\
			  SystemLinux.o		\
			  SocketUtility.o	\
			  BitUtility.o		
ifndef USE_OPENSSL
OBJS		+= \
			  ossl_des_enc.o	\
			  ossl_ecb_enc.o	\
			  ossl_md4_dgst.o	\
			  ossl_md4_one.o	\
			  ossl_set_key.o
endif

HEADERS		= ../SmbServer/DgrServer.h 				\
			  ../SmbServer/NameDb.h					\
			  ../SmbServer/NetBios.h				\
			  ../SmbServer/NetBiosDebug.h			\
			  ../SmbServer/NmbInclude.h				\
			  ../SmbServer/NmbServer.h				\
			  ../SmbServer/Smb.h					\
			  ../SmbServer/SmbMisc.h				\
			  ../SmbServer/SmbCrypt.h				\
			  ../SmbServer/SmbInclude.h				\
			  ../SmbServer/SmbInline.h				\
			  ../SmbServer/SmbLanman.h				\
			  ../SmbServer/SmbServer.h				\
			  ../SmbServer/SmbUtility.h				\
			  ../SmbServer/System/System.h			\
			  ../SmbServer/System/BitUtility.h		\
			  ../SmbServer/System/SocketUtility.h


WARN		= -Wfatal-errors -Wformat -Wformat-y2k -Wformat-nonliteral	\
			  -Winit-self -Wimplicit  -Wformat-security					\
			  -Wreturn-type -Wunused-function -Wunused-label 			\
			  -Wunused-variable -Wunused-value -Wuninitialized 			\
			  -Wundef -Wpointer-arith

CFLAGS   	= -c -g -O $(WARN) -I ./SmbCrypt
CPPFLAGS   := -c -g -O $(WARN) -I ./SmbCrypt
ifdef USE_OPENSSL
CPPFLAGS 	+= -DUSE_OPENSSL=1
endif
ARFLAGS 	= -rv


.PHONY: all
all:	$(PROGS)

.PHONY: clean
clean:
	rm -f $(PROGS) *.o


#--------------- Create object file s -----------

SocketUtility.o: ../SmbServer/System/SocketUtility.cpp	$(HEADERS)
	$(CC) $(CPPFLAGS) ../SmbServer/System/SocketUtility.cpp -o $@

SystemLinux.o: ../SmbServer/System/SystemLinux.cpp	$(HEADERS)
	$(CC) $(CPPFLAGS) ../SmbServer/System/SystemLinux.cpp -o $@

BitUtility.o: ../SmbServer/System/BitUtility.cpp	$(HEADERS)
	$(CC) $(CPPFLAGS) ../SmbServer/System/BitUtility.cpp -o $@

DgrServer.o: ../SmbServer/DgrServer.cpp	$(HEADERS)
	$(CC) $(CPPFLAGS) ../SmbServer/DgrServer.cpp -o $@

NameDb.o: ../SmbServer/NameDb.cpp $(HEADERS)
	$(CC) $(CPPFLAGS) ../SmbServer/NameDb.cpp -o $@

NmbServer.o: ../SmbServer/NmbServer.cpp $(HEADERS)
	$(CC) $(CPPFLAGS) ../SmbServer/NmbServer.cpp -o $@

SmbCrypt.o: ../SmbServer/SmbCrypt.cpp $(HEADERS)
	$(CC) $(CPPFLAGS) ../SmbServer/SmbCrypt.cpp -o $@

SmbMisc.o: ../SmbServer/SmbMisc.cpp $(HEADERS)
	$(CC) $(CPPFLAGS) ../SmbServer/SmbMisc.cpp -o $@

SmbLanman.o: ../SmbServer/SmbLanman.cpp $(HEADERS)
	$(CC) $(CPPFLAGS) ../SmbServer/SmbLanman.cpp -o $@

SmbReply.o: ../SmbServer/SmbReply.cpp $(HEADERS)
	$(CC) $(CPPFLAGS) ../SmbServer/SmbReply.cpp -o $@

SmbTrans2.o: ../SmbServer/SmbTrans2.cpp $(HEADERS)
	$(CC) $(CPPFLAGS) ../SmbServer/SmbTrans2.cpp -o $@

SmbServer.o: ../SmbServer/SmbServer.cpp $(HEADERS)
	$(CC) $(CPPFLAGS) ../SmbServer/SmbServer.cpp -o $@

SmbUtility.o: ../SmbServer/SmbUtility.cpp $(HEADERS)
	$(CC) $(CPPFLAGS) ../SmbServer/SmbUtility.cpp -o $@

ifndef USE_OPENSSL
ossl_des_enc.o: ../SmbServer/SmbCrypt/ossl_des_enc.c
	$(CC) $(CFLAGS) $^ -o $@

ossl_ecb_enc.o: ../SmbServer/SmbCrypt/ossl_ecb_enc.c
	$(CC) $(CFLAGS) $^ -o $@

ossl_md4_dgst.o: ../SmbServer/SmbCrypt/ossl_md4_dgst.c
	$(CC) $(CFLAGS) $^ -o $@

ossl_md4_one.o: ../SmbServer/SmbCrypt/ossl_md4_one.c
	$(CC) $(CFLAGS) $^ -o $@

ossl_set_key.o: ../SmbServer/SmbCrypt/ossl_set_key.c
	$(CC) $(CFLAGS) $^ -o $@
endif

#--------------- Create library -----------------

$(PROGS): $(OBJS)
	$(AR) $(ARFLAGS) $@ $^

=== src/TinySmb/Makefile ===



WARN		= -Wfatal-errors -Wformat -Wformat-y2k -Wformat-nonliteral	\
			  -Winit-self -Wimplicit  -Wformat-security					\
			  -Wreturn-type -Wunused-function -Wunused-label 			\
			  -Wunused-variable -Wunused-value -Wuninitialized 			\
			  -Wundef -Wpointer-arith

CPPFLAGS 	= -c -O $(WARN) -I ../SmbServer
LDFLAGS 	= -lstdc++ -ldl -lpthread

all:	tinysmbd

tinysmbd: tinysmb.o ../SmbLibrary/SmbServer.a
	$(CC) $(LDFLAGS) $^ -o $@


../SmbLibrary/SmbServer.a:
	rm   -f ../SmbLibrary/SmbServer.a
	make -f ../SmbLibrary/Makefile
	mv   -f  ./SmbServer.a ../SmbLibrary/SmbServer.a

tinysmb.o: TinySmb.cpp
	$(CC) $(CPPFLAGS)  $^ -o $@

clean:
	rm -f tinysmb *.o

=== debian/changelog ===
tinysmb (1.0.8maemo1) unstable; urgency=low

  * Bumped to 1.0.8

 -- Ludek Finstrle <luf@pzkagis.cz>  Mon, 08 Apr 2013 16:09:44 +0200

tinysmb (1.0.6maemo2) unstable; urgency=low

  * Nmb listen also on broadcast address

 -- Ludek Finstrle <luf@pzkagis.cz>  Mon, 08 Apr 2013 13:30:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tinysmb
 Section: user/network
 Priority: optional
-Maintainer: Karl Wintermann <karl_wintermann@gmx.de>
+Maintainer: Ludek Finstrle <luf@pzkagis.cz>
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.7.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) all
	#docbook-to-man debian/tinysmb.sgml > tinysmb.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tinysmb.
	$(MAKE) maemo-install DESTDIR=`pwd`/debian/tinysmb


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
